Ubuntu18.04升级到20.10

腾讯云服务器,原本是16.10,之前升级过一次,到了18.04

为了安装podman,用ppa源太慢了,索性升级到20.10(升级后需要重启服务器),然后直接apt install

1. 更换sources.list中的ubuntu版本

```

cd /etc/apt

sudo cp sources.list sources.list.bak

sudo su

echo 'deb http://mirrors.tencentyun.com/ubuntu/ groovy main restricted universe multiverse
deb http://mirrors.tencentyun.com/ubuntu/ groovy-security main restricted universe multiverse
deb http://mirrors.tencentyun.com/ubuntu/ groovy-updates main restricted universe multiverse
deb-src http://mirrors.tencentyun.com/ubuntu/ groovy main restricted universe multiverse
deb-src http://mirrors.tencentyun.com/ubuntu/ groovy-security main restricted universe multiverse
deb-src http://mirrors.tencentyun.com/ubuntu/ groovy-updates main restricted universe multiverse' > sources.list

```

2. 升级包

```

apt update && apt -y ugrade && apt dist-upgrade && apt autoremove

```

3. 升级版本

```

do-release-upgrade -d

```

接下来就是一路输入y和回车,最后通过`cat /etc/issue`来查看系统版本

 

Ref: https://linuxconfig.org/how-to-upgrade-ubuntu-to-20-10

-------------

执行podman info报了如下错误
Error: could not get runtime: default OCI runtime "runc" not found:
invalid argument

通过安装runc解决了

```

sudo apt install runc

```

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页